KDE 4.6 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.solid import *`

## Detailed Description

## Class Index

A | DeviceNotifier (Solid) | P
AcAdapter (Solid) | DvbInterface (Solid) | PortableMediaPlayer (Solid)
AudioInterface (Solid) | G | Predicate (Solid)
B | GenericInterface (Solid) | Processor (Solid)
Battery (Solid) | I | S
Block (Solid) | InternetGateway (Solid) | SerialInterface (Solid)
Button (Solid) | N | SmartCardReader (Solid)
C | NetworkInterface (Solid) | StorageAccess (Solid)
Camera (Solid) | Notifier (Solid.Networking) | StorageDrive (Solid)
D | O | StorageVolume (Solid)
Device (Solid) | OpticalDisc (Solid) | V
DeviceInterface (Solid) | OpticalDrive (Solid) | Video (Solid)